> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Post authsignup

> Sign up



## OpenAPI

````yaml /swagger.json post /auth/signup
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
paths:
  /auth/signup:
    post:
      tags:
        - auth
      description: Sign up
      requestBody:
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                  format: email
                password:
                  type: string
                  minLength: 8
                  pattern: ^(?=.*[A-Z])(?=.*\d).{8,}$/i
                turnstileToken:
                  type: string
                defaultSpaceName:
                  type: string
                refMeta:
                  type: object
                  properties:
                    query:
                      type: string
                    referer:
                      type: string
                verification:
                  type: object
                  properties:
                    code:
                      type: string
                    token:
                      type: string
                  required:
                    - code
                    - token
                inviteCode:
                  type: string
              required:
                - email
                - password
      responses:
        '201':
          description: Sign up and sing in successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  id:
                    type: string
                  name:
                    type: string
                  avatar:
                    type: string
                    nullable: true
                  email:
                    type: string
                    format: email
                  phone:
                    type: string
                    nullable: true
                  notifyMeta:
                    type: object
                    properties:
                      email:
                        type: boolean
                  hasPassword:
                    type: boolean
                  isAdmin:
                    type: boolean
                    nullable: true
                  lang:
                    type: string
                    nullable: true
                  organization:
                    type: object
                    properties:
                      id:
                        type: string
                      name:
                        type: string
                      departments:
                        type: array
                        items:
                          type: object
                          properties:
                            id:
                              type: string
                            name:
                              type: string
                          required:
                            - id
                            - name
                      isAdmin:
                        type: boolean
                    required:
                      - id
                      - name
                      - departments
                required:
                  - id
                  - name
                  - email
                  - notifyMeta
                  - hasPassword
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request POST \
              --url https://app.teable.ai/api/auth/signup \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN' \
              --header 'content-type: application/json' \
              --data '{"email":"user@example.com","password":"stringst","turnstileToken":"string","defaultSpaceName":"string","refMeta":{"query":"string","referer":"string"},"verification":{"code":"string","token":"string"},"inviteCode":"string"}'
        - lang: JavaScript
          source: |-
            const url = 'https://app.teable.ai/api/auth/signup';
            const options = {
              method: 'POST',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              },
              body: '{"email":"user@example.com","password":"stringst","turnstileToken":"string","defaultSpaceName":"string","refMeta":{"query":"string","referer":"string"},"verification":{"code":"string","token":"string"},"inviteCode":"string"}'
            };

            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'POST',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/auth/signup',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN',
                'content-type': 'application/json'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.write(JSON.stringify({
              email: 'user@example.com',
              password: 'stringst',
              turnstileToken: 'string',
              defaultSpaceName: 'string',
              refMeta: {query: 'string', referer: 'string'},
              verification: {code: 'string', token: 'string'},
              inviteCode: 'string'
            }));
            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            payload =
            "{\"email\":\"user@example.com\",\"password\":\"stringst\",\"turnstileToken\":\"string\",\"defaultSpaceName\":\"string\",\"refMeta\":{\"query\":\"string\",\"referer\":\"string\"},\"verification\":{\"code\":\"string\",\"token\":\"string\"},\"inviteCode\":\"string\"}"


            headers = {
                'Authorization': "Bearer REPLACE_BEARER_TOKEN",
                'content-type': "application/json"
            }


            conn.request("POST", "/api/auth/signup", payload, headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````